### Method

# AppStream Component get_compulsory_for_desktops

#### Declaration [src]

    GPtrArray*
    as_component_get_compulsory_for_desktops (
      AsComponent* cpt
    )

#### Description

No description available.

#### Return value

Type: An array of `utf8`

A list of desktops where this component is compulsory.

The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.